ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Loughran <ste...@apache.org>
Subject Re: AW: ant java versions
Date Wed, 16 Jan 2008 10:28:30 GMT
Peter Reilly wrote:

> I do not think we should do this.
> As far as I know, there is no super compelling reason to make ant only
> work on java 1.4 +,


I was curious as it is a lot easier to do relative URLs with the 
java.net.URI class, which is java 1.4+ only

> java5, on the other hand....

we switched to java5 @ Work, primarily because once you read all the 
(wonderful) papers on the Java Memory Model, you can't trust the JVM's 
memory accesses to volatile keyworded data in a multithreaded app.

It does offer lots of advantages
  -new collections
  -iterators
  -ability to have subclasses return subtypes on overridden methods
  -concurrency API

That's before you worry about annotations.

I think if we made a jump to java5 for Ant1.8 we'd upset all the java1.4 
users out there (and there are still a lot -I can see that for 
discussons on testng-users mailing list, people who annotations in 
javadoc. However, I can also see that we'd want to move to java 5 
eventually, and we need to move from java1.3 to 1.4 first. So having a 
move from java1.3 for java 1.8 would seem a first a step.



-- 
Steve Loughran                  http://www.1060.org/blogxter/publish/5
Author: Ant in Action           http://antbook.org/

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message